#!/usr/bin/env bash
transform="normal"

monitor-sensor | while read -r line; do
    case "$line" in
        *normal*)
            new_transform="180"
            ;;
        *bottom-up*)
            new_transform="normal"
            ;;
        *)
            continue
            ;;
    esac
    
    if [[ "$new_transform" != "$transform" ]]; then
        transform="$new_transform"
        echo "Transform: $transform"
        niri msg output eDP-1 transform "$transform"
        pkill lisgd
	niri msg action spawn -- lisgd
    fi
done
